| Package | Description |
|---|---|
| org.apache.camel.builder.endpoint | |
| org.apache.camel.builder.endpoint.dsl |
| Modifier and Type | Method and Description |
|---|---|
static OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder |
StaticEndpointBuilders.oaipmh(String path)
OAI-PMH (camel-oaipmh)
Harvest metadata using OAI-PMH protocol
Category: endpoint,webservice,batch
Since: 3.5
Maven coordinates: org.apache.camel:camel-oaipmh
Syntax:
oaipmh:baseUrl
Path parameter: baseUrl (required)
Base URL of the repository to which the request is made through the
OAI-PMH protocol |
static OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder |
StaticEndpointBuilders.oaipmh(String componentName,
String path)
OAI-PMH (camel-oaipmh)
Harvest metadata using OAI-PMH protocol
Category: endpoint,webservice,batch
Since: 3.5
Maven coordinates: org.apache.camel:camel-oaipmh
Syntax:
oaipmh:baseUrl
Path parameter: baseUrl (required)
Base URL of the repository to which the request is made through the
OAI-PMH protocol |
| Modifier and Type | Method and Description |
|---|---|
default OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder |
OAIPMHEndpointBuilderFactory.AdvancedOAIPMHEndpointBuilder.basic() |
static OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder |
OAIPMHEndpointBuilderFactory.endpointBuilder(String componentName,
String path) |
default OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder |
OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder.from(String from)
Specifies a lower bound for datestamp-based selective harvesting.
|
default OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder |
OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder.identifier(String identifier)
Identifier of the requested resources.
|
default OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder |
OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder.ignoreSSLWarnings(boolean ignoreSSLWarnings)
Ignore SSL certificate warnings.
|
default OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder |
OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder.ignoreSSLWarnings(String ignoreSSLWarnings)
Ignore SSL certificate warnings.
|
default OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder |
OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder.metadataPrefix(String metadataPrefix)
Specifies the metadataPrefix of the format that should be included in
the metadata part of the returned records.
|
default OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder |
OAIPMHEndpointBuilderFactory.OAIPMHBuilders.oaipmh(String path)
OAI-PMH (camel-oaipmh)
Harvest metadata using OAI-PMH protocol
Category: endpoint,webservice,batch
Since: 3.5
Maven coordinates: org.apache.camel:camel-oaipmh
Syntax:
oaipmh:baseUrl
Path parameter: baseUrl (required)
Base URL of the repository to which the request is made through the
OAI-PMH protocol |
default OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder |
OAIPMHEndpointBuilderFactory.OAIPMHBuilders.oaipmh(String componentName,
String path)
OAI-PMH (camel-oaipmh)
Harvest metadata using OAI-PMH protocol
Category: endpoint,webservice,batch
Since: 3.5
Maven coordinates: org.apache.camel:camel-oaipmh
Syntax:
oaipmh:baseUrl
Path parameter: baseUrl (required)
Base URL of the repository to which the request is made through the
OAI-PMH protocol |
default OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder |
OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder.set(String set)
Specifies membership as a criteria for set-based selective
harvesting.
|
default OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder |
OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder.ssl(boolean ssl)
Causes the defined url to make an https request.
|
default OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder |
OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder.ssl(String ssl)
Causes the defined url to make an https request.
|
default OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder |
OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder.until(String until)
Specifies an upper bound for datestamp-based selective harvesting.
|
default OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder |
OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder.verb(String verb)
Request name supported by OAI-PMh protocol.
|
Apache Camel